Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(125)

Issue 14522010: remoting: Remove use of ALLOW_THIS_IN_INITIALIZER_LIST. (Closed)

Created:
7 years, 1 month ago by scherkus (not reviewing)
Modified:
7 years, 1 month ago
Reviewers:
Sergey Ulanov, Wez
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, simonmorris+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

remoting: Remove use of ALLOW_THIS_IN_INITIALIZER_LIST. It's no longer providing value as the MSVC warning is disabled during compilation. Refer to bug for details. BUG=234765 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=196888

Patch Set 1 #

Total comments: 2

Patch Set 2 : fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -38 lines) Patch
M remoting/base/socket_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/chromoting_client.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/chromoting_instance.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/pepper_network_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/pepper_packet_socket_factory.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/pepper_port_allocator.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/pepper_token_fetcher.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/chromoting_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/client_session.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/daemon_process.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/desktop_session_agent.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/desktop_session_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/host_change_notification_listener.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/host_window_proxy.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/ipc_audio_capturer.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/ipc_desktop_environment.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/ipc_video_frame_capturer.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/plugin/host_script_object.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/policy_hack/policy_watcher.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/policy_hack/policy_watcher_linux.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/setup/daemon_installer_win.cc View 1 chunk +6 lines, -7 lines 0 comments Download
M remoting/host/setup/host_starter.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/setup/win/start_host_window.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/url_request_context.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/jingle_glue/fake_signal_strategy.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_authenticator.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_session.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/message_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_client_authenticator.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 5 (0 generated)
scherkus (not reviewing)
7 years, 1 month ago (2013-04-26 20:38:47 UTC) #1
Sergey Ulanov
LGTM. Thanks for the clean up! https://codereview.chromium.org/14522010/diff/1/remoting/host/policy_hack/policy_watcher_linux.cc File remoting/host/policy_hack/policy_watcher_linux.cc (right): https://codereview.chromium.org/14522010/diff/1/remoting/host/policy_hack/policy_watcher_linux.cc#newcode53 remoting/host/policy_hack/policy_watcher_linux.cc:53: (weak_factory_(this) { typo: ...
7 years, 1 month ago (2013-04-26 20:48:22 UTC) #2
scherkus (not reviewing)
https://codereview.chromium.org/14522010/diff/1/remoting/host/policy_hack/policy_watcher_linux.cc File remoting/host/policy_hack/policy_watcher_linux.cc (right): https://codereview.chromium.org/14522010/diff/1/remoting/host/policy_hack/policy_watcher_linux.cc#newcode53 remoting/host/policy_hack/policy_watcher_linux.cc:53: (weak_factory_(this) { On 2013/04/26 20:48:22, sergeyu wrote: > typo: ...
7 years, 1 month ago (2013-04-26 20:52:55 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/scherkus@chromium.org/14522010/4001
7 years, 1 month ago (2013-04-26 20:53:11 UTC) #4
commit-bot: I haz the power
7 years, 1 month ago (2013-04-27 00:00:46 UTC) #5
Message was sent while issue was closed.
Change committed as 196888

Powered by Google App Engine
This is Rietveld 408576698